> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create k8s cluster pool



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml post /cloud/v2/k8s/clusters/{project_id}/{region_id}/{cluster_name}/pools
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-14T07:00:22.640261+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v2/k8s/clusters/{project_id}/{region_id}/{cluster_name}/pools:
    post:
      tags:
        - Managed Kubernetes
      summary: Create k8s cluster pool
      operationId: K8sClustersPoolViewSetV2.post
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            description: Project ID
            example: 1
            examples:
              - 1
            title: Project Id
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            description: Region ID
            example: 7
            examples:
              - 7
            title: Region Id
            type: integer
        - in: path
          name: cluster_name
          required: true
          description: Cluster name
          schema:
            description: Cluster name
            example: my-cluster
            examples:
              - my-cluster
            title: Cluster Name
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/K8sClusterPoolCreateV2Serializer'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskIDsSerializer'
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            task_id_list = client.cloud.k8s.clusters.pools.create(
                cluster_name="my-cluster",
                project_id=1,
                region_id=7,
                flavor_id="g1-standard-1-2",
                min_node_count=3,
                name="my-pool",
            )
            print(task_id_list.tasks)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/cloud\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\ttaskIDList, err := client.Cloud.K8S.Clusters.Pools.New(\n\t\tcontext.TODO(),\n\t\t\"my-cluster\",\n\t\tcloud.K8SClusterPoolNewParams{\n\t\t\tProjectID:    gcore.Int(1),\n\t\t\tRegionID:     gcore.Int(7),\n\t\t\tFlavorID:     \"g1-standard-1-2\",\n\t\t\tMinNodeCount: 3,\n\t\t\tName:         \"my-pool\",\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", taskIDList.Tasks)\n}\n"
components:
  schemas:
    K8sClusterPoolCreateV2Serializer:
      properties:
        auto_healing_enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          description: Enable auto healing
          examples:
            - true
            - false
          title: Auto Healing Enabled
        boot_volume_size:
          anyOf:
            - maximum: 2000
              minimum: 10
              type: integer
            - type: 'null'
          default: null
          description: Boot volume size
          examples:
            - 50
          title: Boot Volume Size
          x-stainless-terraform-configurability: computed_optional
        boot_volume_type:
          anyOf:
            - $ref: '#/components/schemas/VolumeTypeName'
            - type: 'null'
          default: null
          description: Boot volume type
          examples:
            - ssd_hiiops
          x-stainless-terraform-configurability: computed_optional
        crio_config:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          default: null
          description: Cri-o configuration for pool nodes
          examples:
            - default-ulimits: nofile=1024:2048
          title: Crio Config
          x-stainless-terraform-configurability: computed_optional
        flavor_id:
          description: Flavor ID
          example: g1-standard-1-2
          examples:
            - g1-standard-1-2
          title: Flavor Id
          type: string
        is_public_ipv4:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          description: Enable public v4 address
          examples:
            - true
            - false
          title: Is Public Ipv4
        kubelet_config:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          default: null
          description: Kubelet configuration for pool nodes
          examples:
            - podMaxPids: '4096'
          title: Kubelet Config
          x-stainless-terraform-configurability: computed_optional
        labels:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          default: {}
          description: Labels applied to the cluster pool
          examples:
            - my-label: foo
          title: Labels
        max_node_count:
          anyOf:
            - maximum: 200
              minimum: 1
              type: integer
            - type: 'null'
          default: null
          description: Maximum node count
          examples:
            - 5
          title: Max Node Count
          x-stainless-terraform-configurability: computed_optional
        min_node_count:
          description: Minimum node count
          example: 3
          examples:
            - 3
          maximum: 200
          minimum: 1
          title: Min Node Count
          type: integer
          x-stainless-terraform-configurability: computed_optional
        name:
          description: Pool's name
          example: my-pool
          examples:
            - my-pool
          maxLength: 20
          minLength: 1
          pattern: ^[a-z][a-z0-9\-]{0,18}[a-z0-9]$
          title: Name
          type: string
        servergroup_policy:
          anyOf:
            - $ref: '#/components/schemas/ServerGroupPolicyEnum'
            - type: 'null'
          default: null
          description: 'Server group policy: anti-affinity, soft-anti-affinity or affinity'
        taints:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          default: {}
          description: Taints applied to the cluster pool
          examples:
            - my-taint: bar:NoSchedule
          title: Taints
      required:
        - flavor_id
        - min_node_count
        - name
      title: K8sClusterPoolCreateV2Serializer
      type: object
    TaskIDsSerializer:
      properties:
        tasks:
          description: >-
            List of task IDs representing asynchronous operations. Use these IDs
            to monitor operation progress:

            - `GET /v1/tasks/{task_id}` - Check individual task status and
            details

            Poll task status until completion (`FINISHED`/`ERROR`) before
            proceeding with dependent operations.
          example:
            - d478ae29-dedc-4869-82f0-96104425f565
          examples:
            - - d478ae29-dedc-4869-82f0-96104425f565
          items:
            type: string
          title: Tasks
          type: array
      required:
        - tasks
      title: TaskIDsSerializer
      type: object
    VolumeTypeName:
      enum:
        - cold
        - ssd_hiiops
        - ssd_local
        - ssd_lowlatency
        - standard
        - ultra
      title: VolumeTypeName
      type: string
    ServerGroupPolicyEnum:
      enum:
        - affinity
        - anti-affinity
        - soft-anti-affinity
      title: ServerGroupPolicyEnum
      type: string
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````